# AbstractMediaObject Class Reference

### [com.trolltech.qt.phonon package]

### Constructor

- void AbstractMediaObject()

### Constructor Properties

- prototype: The AbstractMediaObject prototype object

### Prototype Object Properties

- qint64 currentTime()
- String errorString()
- ErrorType errorType()
- bool hasVideo()
- bool isSeekable()
- void pause()
- void play()
- int prefinishMark()
- qint64 remainingTime()
- void seek(qint64 milliseconds)
- void setNextSource(MediaSource source)
- void setPrefinishMark(int arg__1)
- void setSource(MediaSource arg__1)
- void setTickInterval(int interval)
- void setTransitionTime(int arg__1)
- MediaSource source()
- State state()
- void stop()
- int tickInterval()
- qint64 totalTime()
- int transitionTime()

### Instance Properties

AbstractMediaObject objects have no special properties beyond those inherited from the AbstractMediaObject prototype object.